/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.io;

import java.io.IOException;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public interface DataWriter extends ByteWriter, CharWriter {
    
    void writeBool(boolean value) throws IOException;
    
    void writeInt(int value) throws IOException;
    
    void writeShort(short value) throws IOException;
    
    void writeLong(long value) throws IOException;
    
    void writeFloat(float value) throws IOException;
    
    void writeDouble(double value) throws IOException;
    
}
